[EPIC] AHani3 pin kopuctyBauis - User story #4630

36ip JaHHMX MO aKTMBHOCTI BUKOPUCTaHHSA (PyHKLiN MO6. popaTtky
14/03/2023 13:44 - & Aleksandr Tsymbalyuk

Status: Closed Start date: 27/02/2023
Priority: Normal Due date:

Assignee: & Aleksandr Bilousko % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.50 hours
Category: Mobile app Week number:

Client:

Description

CpopmaBaHa noTpeba Ha 36ip faHHUX MO BUKOPUCTAHHIO (PYHKLLIOHANBHOCTI MO6 [oAaTKy.

HeobxinHo cteopuTn Meton POST /activity
[lns noryBaHHsa akTMBHOCTI KOpUCTyBaya.

MeTon 6yne npuiMaTu HAaCTynHy iHhopMaLlito:

this.id = utils.generateUID(); //YHikanbHWiA aigi

this.date = moment(new Date()).format('L"); /data BukopucTaHHs

this.user = $rootScope.canvasConfig.username; //Kopuctysay

this.client = $rootScope.canvasConfig.client; /K nieHT

this.agent = $rootScope.canvasConfig.platform;//OnepauiiHa cuctema
this.language = $rootScope.canvasConfig.language; //lToToyHa MoBa iHTEpelicy
this.url = window.location.hash; /lMoTo4Huin MOOYNb A€ 3HaX0OnUTb KOPUCTYBaY
this.scheme = $rootScope.canvasConfig.schema; //lNMoTo4yHa KoNbopoBa cxema
this.activity = data.activity; /®@yHkuia wo BukoprucTaHa

activity - cpopmasaHuii Habip OyHKLIA ANs BiACNIAKOBYBAHHS.
KOXHiln 3 HUX BiAMNOBIAAE CBIl KITHOY.

1. Mowyk o6nanHaHHs Ha NnaHi 3any(ikoHka reonokadis). ---- {activity: "show_equipment_on_the_store"}

2. PosgpapboBka no 3agadax Ha naaHi  ------------------- {activity: "paint_store_by_tasks"}

3. MNepesipka paHMx No ToBapy, CKaHHep ------------------ {activity: "validation_scanned_product_data"}

4. MpukpinneHHa hoTo {activity: "attaching_photo_to_the_task"}

5. KomeHTapi no 3agadam, xo4y 3po3yMiTh Y KOPUCTYIOTbCS --- {activity: "attaching_comment_to_the_task"}
6. [HCTPYKLIS 4M 3aX088Tb i K YACTO. ----------=----=-=== {activity: "use_manual"}

7. Mowyk Ha pawbopai 3 3afavamu (nyna) ----------------- {activity: "filter_task_on_dashboard_by name"}

8. Mowyk obnanHaHHs no QR {activity: "use_qr_equipment_in_store"}

9. Mowyk ToBapy B MaraavHi (B aawbopgi "wykatn ToBap") -- {activity: "find_product_on_store"}

10. BukopucTaHHs iHWux MOAyNiB 008aTKa ------------------ {activity: "use_module_control"} {activity:
"use_module_faststart"} {activity: "use_module_merchandiser"}

{activity: "use_module_settings"}

Ha copoHTeHmi Byne HakonuyyBaTucb nakeT(Hapasi posmip 5),
nicnst BUKOHaHHS By b-SKUX 3 BULLE BKa3aHWi il He MeHele po3Mmipy nakeTy pasis
6yLe BUKNMKATUCb METOL 3 Nepeaayero [aHHNX A0 6eKeHn YaCcTUHW.

History

#1 - 20/03/2023 12:10 - BikTopist PUMuyk

- Status changed from New to Ready for testing

#2 - 20/03/2023 12:10 - BikTopist PUmuyk

- Status changed from Ready for testing to Testing
#3 - 20/03/2023 13:35 - BikTopist Pumuyk

nepesipuna Ha 6ingi Big 20.03.2023
OS: Android
- Mowyk obnagHaHHS Ha nNnani 3any (ikoHka reonokaduis) - {activity: "show_equipment_on_the_store"} - OK

- Poabapboska no 3anayax Ha nnai - {activity: "paint_store_by_tasks"} - OK

- MNepesipka gaHux no ToBapy, ckaHHep - {activity: "validation_scanned_product_data"} - OK

- MpukpinnexHs dpoTo - {activity: "attaching_photo_to_the_task"} - OK

- KomeHTapi no 3apgayam, xo4y 3po3yMiTu 4m KOpUCTYtOTbCS - {activity: "attaching_comment_to_the_task"} - OK
- IHCTpYyKUIis 4M 3axoasTh i Sk yacTo - {activity: "use_manual"} - OK

- Mowyk Ha pawbopai 3 3apavamu (nyna) - {activity: "filter_task_on_dashboard_by name"} - OK

- Mowyk o6napHaHHsa no QR - {activity: "use_qr_equipment_in_store"} - HE OK, nepesipuTy nicns BUNpaBneHHs 3anaykm #4649

- Mowyk ToBapy B MarasuHi (B mawbopai "wykaTtn ToBap") - {activity: "find_product_on_store"} - OK
- BukopucTaHnHs iHWmx Mmoaynis mopatka - {activity: "use_module_control"} - OK

- {activity: "use_module_faststart"} - OK

- {activity: "use_module_merchandiser"} - OK

- {activity: "use_module_settings"} - OK

#4 - 22/03/2023 05:20 - BikTopisi Pumuyk

- Tracker changed from Ticket to User story

- Project changed from Support to Consulting
- Status changed from Testing to To release

- Current Version deleted (24 mobile)

nepesipvna Ha 6ingi Big 21.03.2023
OS: Android

- Mowyk o6nagHaHHA Ha Nnawi 3any (ikoHka reonokaduis) - {activity: "show_equipment_on_the_store"} - OK
- Poadpapboska no 3agayax Ha nnawi - {activity: "paint_store_by_tasks"} - OK

- MNepesipka paHux no ToBapy, ckaHHep - {activity: "validation_scanned_product_data"} - OK

- MpukpinneHHs doTo - {activity: "attaching_photo_to_the_task"} - OK

- KomeHTapi no 3apayam, xo4y 3po3yMiTh 4u KOPUCTYIOTbCS - {activity: "attaching_comment_to_the_task"} - OK
- [HCTpyKLUia 4m 3axonaTh i 9K 4acTo - {activity: "use_manual"} - OK

- Mowyk Ha paw6opai 3 3anayamu (nyna) - {activity: “filter_task_on_dashboard_by_name"} - OK

- Mowyk o6naaHaHHs no QR - {activity: "use_qgr_equipment_in_store"} - OK

- Mowyk ToBapy B MarasuHi (B nawbopai "wykatun ToBap") - {activity: "find_product_on_store"} - OK

- BukopucTaHHs iHwux Mmoaynis mopartka - {activity: "use_module_control"} - OK

- {activity: "use_module_faststart"} - OK

- {activity: "use_module_merchandiser"} - OK

- {activity: "use_module_settings"} - OK

#5 - 22/03/2023 05:21 - BikTopist Pumuyk

- Assignee changed from Biktopisi Pum4yk to ¥ Svetlana Panasenko

CseT, nepepnato Ha Tebe, SK LOMOBNSNNCh)

#6 - 14/06/2023 09:43 - ¥ Svetlana Panasenko

- Assignee changed from ¥ Svetlana Panasenko to Sergii Mukoid

#7 - 05/07/2023 13:31 - & Alexey Medvedev
- Assignee changed from Sergii Mukoid to # Alexey Medvedev

#8 - 09/10/2023 03:09 - ® Olha Hapochka
- Assignee changed from & Alexey Medvedev to # Olha Hapochka

#9 - 09/10/2023 03:16 - # Olha Hapochka

Nnwato Ha cobi, noaymMaTu sk My L0 iHDOpMaLLito MOXEMO BUKOPVCTOBYBATM (3BiTW L1 KEPIBHUKIB i T.4.)

#10 - 10/07/2024 09:02 - & Aleksandr Bilousko
- File AKTUBHICTb BUKOPUCTaHHS QoyHKLIV MO6. noaarky.xlsx added
- Project changed from Consulting to Shelf dev

- Assignee changed from % Olha Hapochka to # llya Lepkin-Titov

Jonae cBoi KOMEHTapi CTOCOBHO AaHMX, SKi LiikaBo 6yno 6 36mpatu 3 MOO KOpUCTyBaYiB (OMB. Yy BKNALEHHI)

#11 - 22/08/2024 04:01 - & Aleksandr Bilousko
- File AKTuBHICTb BUKOPUCTaHHS GbyHKLIV MO6. noaarky (2).xlsx added
- Assignee changed from # llya Lepkin-Titov to # Aleksandr Bilousko

- Target version set to Release 110

OHoBMB haiin, fnonae 36ip faHWX 3 KHOMKW MoLy /b Bl aHanitukm

#12 - 06/09/2024 04:46 - & Aleksandr Bilousko
- Status changed from To release to New
- Assignee changed from % Aleksandr Bilousko to # Aleksandr Tsymbalyuk

- Target version changed from Release 110 to 26 mobile

MpoBenu 3ycTpiy, LOMOBUNMCL Hapasi fodaTu:

Jonatkosy iHpopmaldiito:

1. KnieHT (Tpeba wob 6ynu paHi i no Tomy, Mob um Beb, i cama HasBa knieHTa (ioro 6asu).
2. KpaiHa (3Biaku BinbyBatoTbCs Lif KopucTtyBaya).

JonaTtkoBuii iBeHT Ha KHOMKy 3anycky moayns Bl Shelf

#13 - 11/09/2024 03:26 - # Aleksandr Tsymbalyuk
- Assignee changed from # Aleksandr Tsymbalyuk to # Daria Dzhurko

Po3wmpme paHHi wo nepenatotbea meton POST /activity
Lns noryBaHHs akTMBHOCTI KOPUCTYBaYa.

Tenep 6yne BiaNpaBNsTACL HACTYNHA iHpopMaLlis:

this.id = utils.generateUID(); //YHikanbHwin ainai

this.date = moment(new Date()).format('L'); //data BukopuctaHHs

this.user = $rootScope.canvasConfig.username; /Kopuctysay

this.client = $rootScope.canvasConfig.client; //KnieHt

this.agent = $rootScope.canvasConfig.platform;//OnepauiiHa cuctema

this.language = $rootScope.canvasConfig.language; /MoTo4Ha MoBa iHTepdpeicy

this.url = window.location.hash; //[ToTo4HWin MOAYNb Ae 3HAaXOANTb KOPUCTYBaY
this.scheme = $rootScope.canvasConfig.schema; /[MoTo4Ha KonbopoBa cxema
this.activity = data.activity; //®@yHkuis Wwo BukopucTaHa

this.version = $rootScope.canvasConfig.version; //lMoTouHa Bepcis cuctemmn

this.device = $rootScope.canvasConfig.device; / mobile\web noku wo tinbku mobile
this.connection = window.navigator.connection.effectiveType; / Tun 3eaHaHHs 3 iHTepHeT
this.photoQuality = $rootScope.canvasConfig.photoQuality; / HanawTtyBaHHS SIKOCTi 3HiMKIB
this.resolution = { / Po3wmpeHHs expaHry

with: window.innerHeight,

height: window.innerWidth

b

MoTpibHO nepeBipuTK 4K He nNagae 6ek Npu 3MiHi Moaeni NnepefaBaeMUX OaHHUX.
Micns uboro nepesecTn 3apadvy Ha Bosy B 110 peni3 onsg nonpauioBaaHs MeToLy.

IITakox B pamkax 360py iHpopMaLlii BUSBMB HEKOPPEKTHY NOBELiIHKY 360py akTMBHOCTI Mpy poboTi 3 MeH!o.
B pamkax Toro gikca nepepobvs B3aeMoLito 3 HaBirauieto. Tenep npu Kiiky Ha KHOMKY "MeHI0" BiAKPUBAETHCS CMNCOK AOCTYMHMX MOLYNIB, Mpu

MOBTOPHOMY KJiKy Ha "MeHIo" By e BimobpaxaTncb nepla Bknamnka Mooyns Ae 3HaxoauTbCsl KOpUcTyBay. Mo cybeKTUBHYMX BigUy TTSIX 3HAYHO
3po3yMinilue i MPUEMHIWNA KopucTyBaTuch. BignosigHol 3anadi He 6yno ToX dikcyto TyT)

#14 - 16/09/2024 03:34 - # Daria Dzhurko

- Status changed from New to Dev in progress

OeMo - oK

#15 - 16/09/2024 03:35 - # Daria Dzhurko

- Status changed from Dev in progress to Ready for testing

#16 - 26/09/2024 06:46 - ¢ Daria Dzhurko

- Status changed from Ready for testing to To release

#17 - 08/10/2024 04:37 - & Aleksandr Bilousko
- Assignee changed from # Daria Dzhurko to # Volodymyr Lysiuk
#18 - 08/10/2024 04:38 - ® Aleksandr Bilousko

- Target version changed from 26 mobile to Release 110

#19 - 09/10/2024 09:02 - # Volodymyr Lysiuk
- Status changed from To release to Reopen

- Assignee changed from # Volodymyr Lysiuk to # Daria Dzhurko

[04aB BiANOBigHI NONs, OHOBUB AEMO.PY
€LMHE WO OCTaHHi ABa NoNs NoYHyTb 3aMOBHIOBATUCH KONKW Byne NpuxoanTy NpaBubHO:

this.resolution = { // PoamupeHHS eKpaHY
height: window.innerHeight,
width: window.innerWidth

bi

BiINOBiJHO KPiM LX ABOX MONIB iHIWi MOXHA NOTECTMTHM WO NOTPannaloTb B pericTp MepyeHaan3nHrAKTMBHOCTb
SKIWO siKich faHi 6ynyTb 0bpisatuch - KaxiTb, 36inbuwy po3mip nonis 8 B,

KpiM AoAaBaHHs MoniB LWe 3MiHUB 3anvc KopucTyBaya, Tenep Gyne WwykaTucb No nonto user i 3anuc byae BiabyBaTuCh TiNbKW SKILO TaKuii
KOpUCTYBAY € B CUCTEMI (paHille NPOCTO MO TOKEHY BU3HAYABCS KOPUCTYBAY, BiANOBIAHO SKWO 3 0fHiEl0 MOBINKO Pi3Hi KOpMCTyBaYi NpauoloTb Mir
He 3aBX .M NpaBWNbHWUIA 3aNnCyBaTUCh)

#20 - 09/10/2024 09:02 - 4 Volodymyr Lysiuk

- Status changed from Reopen to Ready for testing

#21 - 04/11/2024 02:02 - # Daria Dzhurko

- Status changed from Ready for testing to To release

nemo - OK

#22 - 14/01/2025 01:55 - & Aleksandr Bilousko
- Assignee changed from # Daria Dzhurko to # Elena Ryaskova

- Target version changed from Release 110 to Release 111

Jonae Habpocku No ToMy, ik Mae BArnsaTyv 3BiT. MocunaHHs -
https://leafioabm-my.sharepoint.com/:x:/g/personal/bilo_abmcloud_com/EUuSm6IPyV5DuPdVQQWSPKOBNxrcwFJtUCKkWrVgZafsFwQ?e=YWGJYZ

#23 - 16/01/2025 05:26 - & Aleksandr Bilousko

Hopnas npuknag dpanny 3 naHuMm

https://leafioabm-my.sharepoint.com/:x:/g/personal/bilo_abmcloud_com/EQfADhal FIhHmj_ GbR4r16sBD234SHbohK8BByxrFLSayw?e=dCPQob

#24 - 16/01/2025 09:10 - 4 Elena Ryaskova

3BIT ver.1
https://qlik.leafio-shelf.app/sense/app/d0471bad-d65e-4ee7-8e71-04195c9f0df8/sheet/18cc428c-41c6-4fee-8ed4a-2c29b0152beb/state/analysis

#25 - 19/01/2025 12:08 - ¢ Elena Ryaskova

- Assignee changed from # Elena Ryaskova to % Aleksandr Bilousko

Ony6nikoBaHuii [OAATOK 3 yciMa paiinamu ta npaekamu, siki MU Ha 3ycTpidi 06rosopunu.

#26 - 20/01/2025 03:16 - & Aleksandr Bilousko

- Assignee changed from % Aleksandr Bilousko to # Elena Ryaskova

MpoxaHHsa popatun oo 3BiTy:
1. Po3pi3un no OHSAX, TUXHSAX, MicALaX
2. lonatn B cpinbTpm i BUMipn none Stage type 3i 3BiTy NMie Project details

#27 - 20/01/2025 03:29 - & Aleksandr Bilousko

Mponosuuisa nepeimeHyBaTy 3Ha4eHHs nons Activity
https://leafioabm-my.sharepoint.com/:x:/g/personal/bilo_abmcloud_com/EUuSm6IPyV5DuPdVQQWSPK0BNxrcwFJtUCkWrVgZafsFwQ?e=YWGJYZ
https://leafioabm-my.sharepoint.com/:x:/g/personal/bilo_abmcloud_com/EQfADhaLFIhHmj_GbR4r16sBD234SHbohK8BByxrFLSayw?e=dCPQob
https://qlik.leafio-shelf.app/sense/app/d0471bad-d65e-4ee7-8e71-04195c9f0df8/sheet/18cc428c-41c6-4fee-8e4a-2c29b0152be6/state/analysis

show_equipment_on_the_store - Floor plan using
validation_scanned_product_data - ltem scaner
attaching_photo_to_the_task - Task execution
use_module_merchandiser - Merchandiser
use_module_control - Control
use_module_settings - Settings
filter_task_on_dashboard_by_name - Planogram search
attaching_comment_to_the_task - Comments
use_module_analytics - Bl Shelf
find_product_on_store - Item search
paint_store_by_tasks - Floor plan colouring

#28 - 20/01/2025 08:55 - ¢ Elena Ryaskova

Activity nepeiimeHysana

#29 - 20/01/2025 09:04 - ¢ Elena Ryaskova

Poapis no Tuny nepioais nopana

#30 - 20/01/2025 11:52 - 4 Elena Ryaskova

B uboMy nocunaHHi HaBeneHWI OBIOHWK BiANOBIOHOCTI Ha3B 6a3 K/iEHTIB Ta Ha3B krieHTiB B 3BiTi DAO PM
https://docs.google.com/spreadsheets/d/1Xu_05Ekrg_McYYosW6t7g-HImO5tVJP2/edit?gid=1856218337#gid=1856218337

B tabnuuto i B inbTpy monai:
current_stage - noto4yHa ctagis npoekty (1,2,3)
finished - o3Haka 3aBepweHHs NPoeKTy (yes, no)

#31 - 20/01/2025 11:52 - 4 Elena Ryaskova

- Assignee changed from # Elena Ryaskova to # Aleksandr Bilousko

#32 - 21/01/2025 03:13 - & Aleksandr Bilousko

- Assignee changed from & Aleksandr Bilousko to # Elena Ryaskova

TaKOX 3MiHUTK Ha3BYy

use_qgr_equipment_in_store - QR equipment using

#33 - 21/01/2025 06:49 - 4 Elena Ryaskova

- Assignee changed from # Elena Ryaskova to % Aleksandr Bilousko

3MiHM BHECEHO

#34 - 05/02/2025 08:32 - & Aleksandr Bilousko
- Project changed from Shelf dev to [EPIC] AHani3 aiii kopuctyBadis

- Target version deleted (Release 111)

#35 - 12/02/2025 10:08 - & Aleksandr Bilousko

- Status changed from To release to Closed

Files
AKTMBHICTb BUKOPUCTAHHS (PYHKLIN MO6. nonatky.xlsx 10.4 KB 10/07/2024 % Aleksandr Bilousko
AKTUBHICTb BUKOPWCTAHHS (OYHKL M06. poaatky (2).xIsx 10.4 KB 22/08/2024 & Aleksandr Bilousko
https://docs.google.com/spreadsheets/d/1Xu_05Ekrq_McYYosW6t7g-HJmO5tVJP2/edit?gid=1856218337#gid=1856218337
